<div *ngIf="isLoading" style="text-align: center;">
  <mat-spinner></mat-spinner>
</div>

<mat-card *ngIf="!isLoading" >
  <mat-card-title>Login</mat-card-title>
  <mat-card-content>

    <form #loginFormNew="ngForm" (ngSubmit)="onSubmit(loginFormNew)">
      <p>
        <app-textbox [placeHolder]="'نام کاربری'" [inputType]="'text'" [name]="'userName'"></app-textbox>
      </p>
      <!--<input placeholder="نام کاربری" id="userName" type="text" required ngModel name="userName">-->
      <p>
        <app-textbox [placeHolder]="'رمز خود را وارد کنید'" [inputType]="'password'" [name]="'password'" [isSecurity]="true"></app-textbox>
        <!--<p *ngIf="error" class="error">
          {{ error }}
        </p>-->
      </p>
      <div class="button">
        <button mat-button class="btn btn-primary"
                type="submit"
                [disabled]="!loginFormNew.valid">
          ورود
        </button>
      </div>
    </form>
  </mat-card-content>
</mat-card>

